RequestPolicy addon not blocking all third party scripts on FF29

RESOLVED INVALID

Status

()

Firefox
Extension Compatibility
RESOLVED INVALID
4 years ago
4 years ago

People

(Reporter: Charles Evans, Unassigned)

Tracking

29 Branch
x86
Linux
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
User Agent: Mozilla/5.0 (X11; Linux i686; rv:27.0) Gecko/20100101 Firefox/27.0 (Beta/Release)
Build ID: 20140127194636

Steps to reproduce:

Install Noscript 2.6.8.14rc1 and RequestPolicy 0.5.28 on FF29a2 aurora
Mozilla/5.0 (X11; Linux i686; rv:29.0) Gecko/20100101 Firefox/29.0 ID:20140206004003 CSet: 8563809a50e6
in a new profile.
Deselect all of the default whitelists on RequestPolicy install.
Verify all whitelists are blank.
pull up 
https://addons.mozilla.org/en-US/firefox/addon/memory-restart/versions/



Actual results:

Scripts on mozilla.net ran w/o being whitelisted on RequestPolicy.
(Also, verified IP connection to mozilla.net)
RequestPolicy flag is grey, and both blocked and allowed submenus are empty.
Mouseover pops up the green "add to firefox" button.
Similar results on iceweasel 24.2.0esr, noscript 2.6.8.10,
req also logged to:
GET	200	text/javascript	https://ssl.google-analytics.com/ga.js
GET	200	text/javascript	https://www.google.com/recaptcha/api/js/recaptcha.js



Expected results:

RequestPolicy flag should be red, list Mozilla.net as blocked, and no mozilla.net scripts should be fetched or run.
Its Blocked submenu should list Mozilla.net and show choice to whitelist it.
"add to firefox" button should be blue, as it is if you use noscript to block scripts from mozilla.net 
Should be no req's to any but mozilla.org
(Reporter)

Comment 1

4 years ago
Report here that it whitelists addons.mozilla.org by default:

RequestPolicy not working at https://addons.mozilla.org #403
Open
moxus opened this Issue November 03, 2013 · 1 comment
"I see in requestpolicyService.js that there are a couple of hard-coded "_compatibilityRules", "

https://github.com/RequestPolicy/requestpolicy/issues/403
This sounds like an addon issue to me.
Component: Untriaged → Extension Compatibility
There's support information provided in the add-on listing page: https://addons.mozilla.org/addon/requestpolicy/

Please contact the developer directly.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → INVALID
You need to log in before you can comment on or make changes to this bug.